ByDedi AdminBundle
====================

#Setup 
* Add following to composer.json :
```
"repositories": [
    {
        "type": "composer",
        "url": "http://packages.bydedi.com"
    }
],
"config": {
    "sort-packages": true,
    "secure-http": false
}

```
* Run `composer require bydedi/admin-bundle`
* Add following to AppKernel.php :
```
#knp
new Knp\Bundle\MenuBundle\KnpMenuBundle(),
new Knp\DoctrineBehaviors\Bundle\DoctrineBehaviorsBundle(),
#simplethings
new SimpleThings\EntityAudit\SimpleThingsEntityAuditBundle(),

#fos
new FOS\UserBundle\FOSUserBundle(),

#sonata
new A2lix\TranslationFormBundle\A2lixTranslationFormBundle(),
new Sonata\CoreBundle\SonataCoreBundle(),
new Sonata\BlockBundle\SonataBlockBundle(),
new Sonata\DoctrineORMAdminBundle\SonataDoctrineORMAdminBundle(),
new Sonata\AdminBundle\SonataAdminBundle(),
new Sonata\TranslationBundle\SonataTranslationBundle(),
new Sonata\EasyExtendsBundle\SonataEasyExtendsBundle(),
new Sonata\UserBundle\SonataUserBundle('FOSUserBundle'),

#bydedi
new \ByDedi\AdminBundle\AdminBundle(),
```
* Copy default configuration and security files from Resources/config/app_config to /app/config
* Add following routes to app/config/routing.yml

```
_admin:
    resource: "@AdminBundle/Resources/config/routing.yml"
fos_user:
    resource: "@FOSUserBundle/Resources/config/routing/all.xml"
```

#Admin creation :
* First create related entity and/or Bundle if needed
  * `php bin/console generate:bundle`
  configuration type 'annotation'
  * `php bin/console generate:doctrine:entity`
  configuration type 'annotation'
* Execute 
`php bin/console sonata:admin:generate`
* Append bundle's config file to "imports" in app/config.yml 
* Ensure your newly created admin class extends `ByDedi\AdminBundle\BaseAdmin`